Trocar ambiente fiscal do emissor (Produção/Homologação)
curl --request PATCH \
--url https://api.engineapi.com.br/v1/companies/{id}/ambiente \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ambienteFiscal": 1
}
'import requests
url = "https://api.engineapi.com.br/v1/companies/{id}/ambiente"
payload = { "ambienteFiscal": 1 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ambienteFiscal: 1})
};
fetch('https://api.engineapi.com.br/v1/companies/{id}/ambiente', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"cnpj": "<string>",
"name": "<string>",
"ambienteFiscal": 123,
"avisos": [
{
"code": "MUNICIPIO_NAO_ADERENTE_PADRAO_NACIONAL",
"message": "<string>",
"ambiente": 1,
"consultadoEm": "2023-11-07T05:31:56Z"
}
],
"tradeName": "<string>",
"ie": "<string>",
"im": "<string>",
"crt": 123,
"email": "<string>",
"phone": "<string>",
"cep": "<string>",
"address": "<string>",
"number": "<string>",
"complement": "<string>",
"neighborhood": "<string>",
"city": "<string>",
"state": "<string>",
"ibgeCode": "<string>",
"fiscalBrainEnabled": true,
"valorAproximadoTributosEnabled": true,
"canalPortaAPorta": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"prontoPara": {
"nfse": true,
"nfe": true,
"nfce": true,
"sandbox": true,
"faltando": {
"nfse": [
"<string>"
],
"nfe": [
"<string>"
],
"nfce": [
"<string>"
]
},
"cobertura": {
"situacao": "aderente",
"consultadoEm": "2023-11-07T05:31:56Z"
}
},
"sugestoesServicoPadrao": [
"<unknown>"
]
}Empresas
Trocar ambiente fiscal do emissor (Produção/Homologação)
Endpoint DEDICADO (fora do PATCH genérico) para trocar Issuer.ambienteFiscal (SEFAZ tpAmb: 1=Produção, 2=Homologação). Validação estrita 1|2, escopada por partnerId, sempre auditada (AuditLog, before/after). A resposta traz prontoPara atualizado.
PATCH
/
v1
/
companies
/
{id}
/
ambiente
Trocar ambiente fiscal do emissor (Produção/Homologação)
Authorizations
Token JWT obtido via /v1/auth/login
Path Parameters
Body
application/json
Response
Ambiente atualizado e auditado. Corpo = cadastro (sem segredos) + prontoPara (readiness por documento) e avisos[].
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Show child attributes
Show child attributes